path: /build/build/libmediawiki-net-libs-5-5.38.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cp libmediawiki-5.38.0.ebuild /var/git/meta-repo/kits/kde-kit/net-libs/libmediawiki
    && cd /var/git/meta-repo/kits/kde-kit/net-libs/libmediawiki && ebuild libmediawiki-5.38.0.ebuild
    digest && cd -
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge net-libs/libmediawiki:5 -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps net-libs/libmediawiki:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libmediawiki && luet-portage --dir /pkgdir/libmediawiki
    net-libs/libmediawiki:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:f13576ee49dd69930735eb42591773ff2ec7f73229c2cccc3a1f3e1abe6d7cd4
  package:
    name: libmediawiki
    version: 5.38.0+1
    category: net-libs-5
    use_flags:
    - -test
    requires:
    - name: libkipi
      version: '>=0'
      category: kde-apps-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C++ interface for MediaWiki based web service as wikipedia.org
    uri:
    - https://www.digikam.org/
    license: GPL-2+
    buildtimestamp: 2024-02-15 11:23:40.828427695 +0000 UTC m=+81.748057896
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-qt/qtnetwork-5.12.3:5 >=kde-frameworks/kcoreaddons-5.98.0:5 dev-util/desktop-file-utils
        x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.12.3:5 ) >=dev-qt/qtcore-5.12.3:5
        dev-util/desktop-file-utils'
      IUSE: debug test
      RDEPEND: '>=dev-qt/qtnetwork-5.12.3:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.12.3:5'
      emerge.packages: net-libs/libmediawiki:5
      kit: kde-kit
      original.package.name: net-libs/libmediawiki
      original.package.slot: "5"
      original.package.version: 5.38.0
    treedir: /build/packages
  package_dir: /pkgdir/libmediawiki
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ac06067aef7edaf0becb9f23e73699fb2c8c44ffe580d5d6a3cb17616dde7182
compressiontype: zstd
files:
- usr/include/KF5/MediaWiki/Edit
- usr/include/KF5/MediaWiki/Generalinfo
- usr/include/KF5/MediaWiki/Image
- usr/include/KF5/MediaWiki/Imageinfo
- usr/include/KF5/MediaWiki/Job
- usr/include/KF5/MediaWiki/Login
- usr/include/KF5/MediaWiki/Logout
- usr/include/KF5/MediaWiki/MediaWiki
- usr/include/KF5/MediaWiki/Page
- usr/include/KF5/MediaWiki/Parse
- usr/include/KF5/MediaWiki/Protection
- usr/include/KF5/MediaWiki/QueryImageinfo
- usr/include/KF5/MediaWiki/QueryImages
- usr/include/KF5/MediaWiki/QueryInfo
- usr/include/KF5/MediaWiki/QueryRevision
- usr/include/KF5/MediaWiki/QuerySiteInfoGeneral
- usr/include/KF5/MediaWiki/QuerySiteinfoUsergroups
- usr/include/KF5/MediaWiki/Revision
- usr/include/KF5/MediaWiki/Upload
- usr/include/KF5/MediaWiki/UserGroup
- usr/include/KF5/MediaWiki/edit.h
- usr/include/KF5/MediaWiki/generalinfo.h
- usr/include/KF5/MediaWiki/image.h
- usr/include/KF5/MediaWiki/imageinfo.h
- usr/include/KF5/MediaWiki/job.h
- usr/include/KF5/MediaWiki/login.h
- usr/include/KF5/MediaWiki/logout.h
- usr/include/KF5/MediaWiki/mediawiki.h
- usr/include/KF5/MediaWiki/mediawiki_export.h
- usr/include/KF5/MediaWiki/page.h
- usr/include/KF5/MediaWiki/parse.h
- usr/include/KF5/MediaWiki/protection.h
- usr/include/KF5/MediaWiki/queryimageinfo.h
- usr/include/KF5/MediaWiki/queryimages.h
- usr/include/KF5/MediaWiki/queryinfo.h
- usr/include/KF5/MediaWiki/queryrevision.h
- usr/include/KF5/MediaWiki/querysiteinfogeneral.h
- usr/include/KF5/MediaWiki/querysiteinfousergroups.h
- usr/include/KF5/MediaWiki/revision.h
- usr/include/KF5/MediaWiki/upload.h
- usr/include/KF5/MediaWiki/usergroup.h
- usr/include/KF5/mediawiki_version.h
- usr/lib64/cmake/KF5MediaWiki/KF5MediaWikiConfig.cmake
- usr/lib64/cmake/KF5MediaWiki/KF5MediaWikiConfigVersion.cmake
- usr/lib64/cmake/KF5MediaWiki/KF5MediaWikiTargets-gentoo.cmake
- usr/lib64/cmake/KF5MediaWiki/KF5MediaWikiTargets.cmake
- usr/lib64/libKF5MediaWiki.so
- usr/lib64/libKF5MediaWiki.so.5
- usr/lib64/libKF5MediaWiki.so.5.38.0
- usr/lib64/qt5/mkspecs/modules/qt_MediaWiki.pri
- usr/share/doc/libmediawiki-5.38.0/AUTHORS.bz2
- usr/share/doc/libmediawiki-5.38.0/README.md.bz2
- var/db/pkg/net-libs/libmediawiki-5.38.0/BDEPEND
- var/db/pkg/net-libs/libmediawiki-5.38.0/BUILD_TIME
- var/db/pkg/net-libs/libmediawiki-5.38.0/CATEGORY
- var/db/pkg/net-libs/libmediawiki-5.38.0/CBUILD
- var/db/pkg/net-libs/libmediawiki-5.38.0/CFLAGS
- var/db/pkg/net-libs/libmediawiki-5.38.0/CHOST
- var/db/pkg/net-libs/libmediawiki-5.38.0/CONTENTS
- var/db/pkg/net-libs/libmediawiki-5.38.0/COUNTER
- var/db/pkg/net-libs/libmediawiki-5.38.0/CXXFLAGS
- var/db/pkg/net-libs/libmediawiki-5.38.0/DEFINED_PHASES
- var/db/pkg/net-libs/libmediawiki-5.38.0/DEPEND
- var/db/pkg/net-libs/libmediawiki-5.38.0/DESCRIPTION
- var/db/pkg/net-libs/libmediawiki-5.38.0/EAPI
- var/db/pkg/net-libs/libmediawiki-5.38.0/FEATURES
- var/db/pkg/net-libs/libmediawiki-5.38.0/HOMEPAGE
- var/db/pkg/net-libs/libmediawiki-5.38.0/INHERITED
- var/db/pkg/net-libs/libmediawiki-5.38.0/IUSE
- var/db/pkg/net-libs/libmediawiki-5.38.0/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libmediawiki-5.38.0/KEYWORDS
- var/db/pkg/net-libs/libmediawiki-5.38.0/LDFLAGS
- var/db/pkg/net-libs/libmediawiki-5.38.0/LICENSE
- var/db/pkg/net-libs/libmediawiki-5.38.0/NEEDED
- var/db/pkg/net-libs/libmediawiki-5.38.0/PF
- var/db/pkg/net-libs/libmediawiki-5.38.0/PROVIDES
- var/db/pkg/net-libs/libmediawiki-5.38.0/RDEPEND
- var/db/pkg/net-libs/libmediawiki-5.38.0/REQUIRES
- var/db/pkg/net-libs/libmediawiki-5.38.0/SIZE
- var/db/pkg/net-libs/libmediawiki-5.38.0/SLOT
- var/db/pkg/net-libs/libmediawiki-5.38.0/USE
- var/db/pkg/net-libs/libmediawiki-5.38.0/environment.bz2
- var/db/pkg/net-libs/libmediawiki-5.38.0/libmediawiki-5.38.0.ebuild
- var/db/pkg/net-libs/libmediawiki-5.38.0/repository
package_cacheimage: ""
runtime:
  name: libmediawiki
  version: 5.38.0+1
  category: net-libs-5
  use_flags:
  - -test
  requires:
  - name: qtnetwork
    version: '>=0'
    category: dev-qt-5
  - name: kcoreaddons
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C++ interface for MediaWiki based web service as wikipedia.org
  uri:
  - https://www.digikam.org/
  license: GPL-2+
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-qt/qtnetwork-5.12.3:5 >=kde-frameworks/kcoreaddons-5.98.0:5 dev-util/desktop-file-utils
      x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.12.3:5 ) >=dev-qt/qtcore-5.12.3:5
      dev-util/desktop-file-utils'
    IUSE: debug test
    RDEPEND: '>=dev-qt/qtnetwork-5.12.3:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kf-env-4
      || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:* )
      >=dev-qt/qtcore-5.12.3:5'
    emerge.packages: net-libs/libmediawiki:5
    kit: kde-kit
    original.package.name: net-libs/libmediawiki
    original.package.slot: "5"
    original.package.version: 5.38.0
